Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.jar
Class Manifest

    java.lang.Object
      |
      +--java.util.jar.Manifest

All Implemented Interfaces:
  Cloneable

public class Manifest
extends Object
implements Cloneable

The Manifest class is used to maintain Manifest entry names and their associated Attributes. There are main Manifest Attributes as well as per-entry Attributes. Documentation on the Manifest format can be found at :

>      http://java.sun.com/products/jdk/1.2/docs/guide/jar/manifest.html

Since:
  1.2
See Also:
  `Attributes`

Constructor Summary
`Manifest()` Constructs a new, empty Manifest.
`Manifest(InputStream is)` Constructs a new Manifest from the specified input stream.
`Manifest(Manifest man)` Constructs a new Manifest that is a copy of the specified Manifest.

Method Summary
`void` | `clear()` Clears the main Attributes as well as the entries in this Manifest.
`Object` | `clone()` Returns a shallow copy of this Manifest, implemented as follows:
`boolean` | `equals(Object o)` Returns true if the specified Object is also a Manifest and has the same main Attributes and entries.
`Attributes` | `getAttributes(String name)` Returns the Attributes for the specified entry name.
`Map` | `getEntries()` Returns a Map of the entries contained in this Manifest.
`Attributes` | `getMainAttributes()` Returns the main Attributes for the Manifest.
`int` | `hashCode()` Returns the hash code for this Manifest.
`void` | `read(InputStream is)` Reads the Manifest from the specified InputStream.
`void` | `write(OutputStream out)` Writes the Manifest to the specified OutputStream.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Manifest

    public Manifest()

  Constructs a new, empty Manifest.

### Manifest

    public Manifest(InputStream is)
             throws IOException

  Constructs a new Manifest from the specified input stream.
  Parameters:
    `is` - the input stream containing manifest data
  Throws:
    `IOException` - if an I/O error has occured

### Manifest

    public Manifest(Manifest man)

  Constructs a new Manifest that is a copy of the specified Manifest.
  Parameters:
    `man` - the Manifest to copy

Method Detail

### getMainAttributes

    public Attributes getMainAttributes()

  Returns the main Attributes for the Manifest.
  Returns:
    the main Attributes for the Manifest

### getEntries

    public Map getEntries()

  Returns a Map of the entries contained in this Manifest. Each entry is represented by a String name (key) and associated Attributes (value).
  Returns:
    a Map of the entries contained in this Manifest

### getAttributes

    public Attributes getAttributes(String name)

  Returns the Attributes for the specified entry name. This method is defined as:

      	    return (Attributes)getEntries().get(name)

  Returns:
    the Attributes for the specified entry name

### clear

    public void clear()

  Clears the main Attributes as well as the entries in this Manifest.

### write

    public void write(OutputStream out)
               throws IOException

  Writes the Manifest to the specified OutputStream.
  Parameters:
    `out` - the output stream
  Throws:
    `IOException` - if an I/O error has occurred

### read

    public void read(InputStream is)
              throws IOException

  Reads the Manifest from the specified InputStream. The entry names and attributes read will be merged in with the current manifest entries.
  Parameters:
    `is` - the input stream
  Throws:
    `IOException` - if an I/O error has occurred

### equals

    public boolean equals(Object o)

  Returns true if the specified Object is also a Manifest and has the same main Attributes and entries.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - the object to be compared
  Returns:
    true if the specified Object is also a Manifest and has the same main Attributes and entries

### hashCode

    public int hashCode()

  Returns the hash code for this Manifest.
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### clone

    public Object clone()

  Returns a shallow copy of this Manifest, implemented as follows:

           public Object clone() { return new Manifest(this); }

  Overrides:
    `clone` in class `Object`
  Returns:
    a shallow copy of this Manifest

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.